/*
 * @file
 * DBLog styling.
 */

/* Checked */
.admin-dblog .dblog-info .icon,
.admin-dblog .dblog-notice .icon {
  background-color: var(--admin-color-success);
  background-image: none;
  mask-image: var(--admin-icon-status);
  mask-repeat: no-repeat;
  mask-position: center center;
  mask-size: 20px 20px;
}

/* Warning */
.admin-dblog .dblog-warning .icon {
  background-color: var(--admin-color-warning);
  background-image: none;
  mask-image: var(--admin-icon-warning);
  mask-repeat: no-repeat;
  mask-position: center center;
  mask-size: 20px 20px;
}

/* Error */
.admin-dblog .dblog-error .icon,
.admin-dblog .dblog-critical .icon,
.admin-dblog .dblog-alert .icon,
.admin-dblog .dblog-emergency .icon {
  background-color: var(--admin-color-error);
  background-image: none;
  mask-image: var(--admin-icon-error);
  mask-repeat: no-repeat;
  mask-position: center center;
  mask-size: 20px 20px;
}
